## procmail-lib 1995.08.28

=== Makefile ===
# Makefile for procmail rc libraries
#
#    Copyright (C) 1995  Alan K. Stebbens <aks@hub.ucsb.edu>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

#
# These are the defaults
ROOTDIR		=	$(NETROOT)
LIBDIR 		=	$(NETLIB)

# Define these as the root and library path for local filesystems
LOCALROOT 	=	/usr/local
LOCALLIB	=	${ROOTDIR}/lib/procmail

# Define these as the root and library path for the fileserver filesystems
NETROOT		=	/eci/procmail
NETLIB		=	${ROOTDIR}/lib

# Set these variables to enable "install-ftp"
FTPHOST		=	root@hub
FTPHOME		=	/usr/home/ftp
FTPDESTDIR	=	/pub/mail/

# Set SHARFILES to the files to be included in the shar archive
SHARFILES = README Makefile GNU-LICENSE procmailrc-example \
		*.rc *.help *.info proclint Copyright

# Set to the default install behaviour: "install-net" or "install-local"
DEFAULT		= install-net install-home install-local install-ftp

SHARNAME	= procmail-lib


#
SHELL		= /bin/sh

default:
	@echo 'make install-home     Installs proclint to ~/bin'
	@echo 'make install-mail     Installs library recipes to ~/Mail'
	@echo 'make install-local    Installs library recipes to /usr/local'
	@echo 'make install-net      Installs library recipes to fileserver'
	@echo 'make install-ftp      Installs library recipes to ftp server'
	@echo 'make check            Check for discrepancies'
	@echo 'make check-home       Check against ~/Mail'
	@echo 'make install          Install the default: $(DEFAULT)'

install: $(DEFAULT)

install-home:	$(HOME)/bin/proclint install-mail

$(HOME)/bin/proclint:	proclint
	@(set -x ; cp $? $@ ; chmod 755 $@ )

install-mail:
	${MAKE} LIBDIR=$(HOME)/Mail install-lib

check-home check-mail:
	${MAKE} LIBDIR=$(HOME)/Mail check

install-local:
	${MAKE} ROOTDIR=$(LOCALROOT) install-lib

install-net:
	${MAKE} ROOTDIR=$(NETROOT) install-lib

install-lib:
	@for lib in *.rc *.help *.info ; do \
	    ${MAKE} SRC=$$lib DST=$(LIBDIR)/$$lib install-file ; \
	done

DST	=	.phony-dst
SRC	=	.phony-src

install-file:	$(DST)
$(DST):		$(SRC)
	@if [ -f $@ ]; then ( set -x ; mv $@ $@.old ) ; fi
	@(set -x ; cp $(SRC) $@ ; chmod 444 $@ )

check::
	@-for lib in *.rc *.help *.info ; do \
	    inslib=$(LIBDIR)/$$lib ; \
	    if [ -f $$inslib ]; then \
		(set -x ; diff -c $$inslib $$lib ) ; \
	    else \
		echo $$lib not installed. ; \
	    fi ; \
	done
	@-for inslib in $(LIBDIR)/*.rc ; do \
	    lib=`basename $$inslib` ; \
	    if [ ! -f $$lib ]; then \
		echo $$inslib has no source. ; \
	    fi ; \
	done

uu::	$(SHARNAME).shar.gz.uu
$(SHARNAME).shar.gz.uu:	$(SHARNAME).shar.gz
	uuencode $? < $? > $@

gzip::	$(SHARNAME).shar.gz
$(SHARNAME).shar.gz:	$(SHARNAME).shar
	gzip -f $?

shar::  $(SHARNAME).shar
$(SHARNAME).shar:	$(SHARFILES)
	cwd=`pwd` ; \
	cd ..; \
	dir=`basename $$cwd` ; \
	files=`echo "$(SHARFILES)" | \
	       tr -s ' \10' '\12\12' | \
	       sed -e "s=^=$$dir/=" | \
	       tr '\12' ' ' ` ; \
	shar $$files > $$dir/$@

install-ftp: shar
	rcp $(SHARNAME).shar $(FTPHOST):$(FTPHOME)$(FTPDESTDIR)

## procmail-lib 1995.08.28-3

=== debian/changelog ===
procmail-lib (1:1995.08.28-3) unstable; urgency=low

  * Update standards version.  Fixes bug #16759

 -- Karl M. Hegbloom <karlheg@debian.org>  Thu,  8 Jan 1998 13:49:58 -0800

procmail-lib (1:1995.08.28-2) unstable; urgency=low

  * use epochs in date-encoded version number (bug #12682)
  * New maintainer

 -- Karl M. Hegbloom <karlheg@inetarena.com>  Tue, 16 Sep 1997 09:36:52 -0700

procmail-lib (950828-1) unstable; urgency=low

  * First Debian release.
  * proclint: perl path changed to /usr/bin/perl.

 -- Karl Sackett <krs@debian.org>  Tue, 3 Dec 1996 13:09:58 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: procmail-lib
Section: mail
Priority: optional
Maintainer:  Karl M. Hegbloom <karlheg@inetarena.com>
Standards-Version: 2.3.0.1

Package: procmail-lib
Architecture: all
Depends: procmail, perl
Description: A library of useful procmail recipes.
 Includes recipes for auto-acknowledgement of incoming mail, recipes which
 recognize commands in the Subject: header and perform them, recipes to
 extract addresses, and a 'lint' script for procmail scripts.

## procmail-lib 1997.07.22

=== Makefile ===
# Makefile for procmail rc libraries
#
#    Copyright (C) 1995  Alan K. Stebbens <aks@sgi.com>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

#
# These are the defaults
ROOTDIR         =       $(LOCALROOT)
LIBDIR          =       $(LOCALLIB)

# Define these as the root and library path for local filesystems
LOCALROOT       =       /usr/local
LOCALLIB        =       ${ROOTDIR}/lib/procmail

# Set these variables to enable "install-ftp"
FTPHOST         =       root@anywhere
FTPHOME         =       /usr/home/ftp
FTPDESTDIR      =       /pub/mail/

# Set SHARFILES to the files to be included in the shar archive
SHARFILES =     README Makefile GNU-LICENSE procmail-lib.html \
               procmail-tutorial procmailrc-example \
               *.rc *.help *.info proclint Copyright

# Set to the default install behaviour: "install-local"
DEFAULT         = install-home install-local

SHARNAME        = procmail-lib


#
SHELL           = /bin/sh

default:
       @echo 'make install-home     Installs proclint to ~/bin'
       @echo 'make install-mail     Installs library recipes to ~/Mail'
       @echo 'make install-local    Installs library recipes to /usr/local'
       @echo 'make install-ftp      Installs library recipes to ftp server'
       @echo 'make check            Check for discrepancies'
       @echo 'make check-home       Check against ~/Mail'
       @echo 'make install          Install the default: $(DEFAULT)'

install: $(DEFAULT)

install-home:   $(HOME)/bin/proclint install-mail

$(HOME)/bin/proclint:   proclint
       @(set -x ; cp $? $@ ; chmod 755 $@ )

install-mail:
       ${MAKE} LIBDIR=$(HOME)/Mail install-lib

check-home check-mail:
       ${MAKE} LIBDIR=$(HOME)/Mail check

install-local:
       ${MAKE} ROOTDIR=$(LOCALROOT) install-lib

install-lib:
       @for lib in *.rc *.help *.info ; do \
           ${MAKE} SRC=$$lib DST=$(LIBDIR)/$$lib install-file ; \
       done

DST     =       .phony-dst
SRC     =       .phony-src

install-file:   $(DST)
$(DST):         $(SRC)
       @if [ -f $@ ]; then ( set -x ; mv $@ $@.old ) ; fi
       @(set -x ; cp $(SRC) $@ ; chmod 444 $@ )

check::
       @-for lib in *.rc *.help *.info ; do \
           inslib=$(LIBDIR)/$$lib ; \
           if [ -f $$inslib ]; then \
               (set -x ; diff -c $$inslib $$lib ) ; \
           else \
               echo $$lib not installed. ; \
           fi ; \
       done
       @-for inslib in $(LIBDIR)/*.rc ; do \
           lib=`basename $$inslib` ; \
           if [ ! -f $$lib ]; then \
               echo $$inslib has no source. ; \
           fi ; \
       done

uu::    $(SHARNAME).shar.gz.uu
$(SHARNAME).shar.gz.uu: $(SHARNAME).shar.gz
       uuencode $? < $? > $@

gzip::  $(SHARNAME).shar.gz
$(SHARNAME).shar.gz:    $(SHARNAME).shar
       gzip -f $?

pkzip:: $(SHARNAME).zip
$(SHARNAME).zip:        $(SHARFILES)
       cwd=`pwd` ; \
       cd ..; \
       dir=`basename $$cwd` ; \
       files=`echo "$(SHARFILES)" | \
              tr -s ' \10' '\12\12' | \
              sed -e "s=^=$$dir/=" | \
              tr '\12' ' ' ` ; \
       pkzip -9 $$dir/$@ $$files

shar::  $(SHARNAME).shar
$(SHARNAME).shar:       $(SHARFILES)
       cwd=`pwd` ; \
       cd ..; \
       dir=`basename $$cwd` ; \
       files=`echo "$(SHARFILES)" | \
              tr -s ' \10' '\12\12' | \
              sed -e "s=^=$$dir/=" | \
              tr '\12' ' ' ` ; \
       shar $$files > $$dir/$@

install-ftp: shar
       rcp $(SHARNAME).shar $(FTPHOST):$(FTPHOME)$(FTPDESTDIR)

## procmail-lib 2002.01.02

=== lib-stebbens/Makefile ===
# Makefile for procmail rc libraries
#
#    Copyright (C) 1995  Alan K. Stebbens <aks@sgi.com>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

#
# These are the defaults
ROOTDIR		=	$(LOCALROOT)
LIBDIR 		=	$(LOCALLIB)

# Define these as the root and library path for local filesystems
LOCALROOT 	=	/usr/local
LOCALLIB	=	${ROOTDIR}/lib/procmail

# Set these variables to enable "install-ftp"
FTPHOST		=	root@anywhere
FTPHOME		=	/usr/home/ftp
FTPDESTDIR	=	/pub/mail/

# Set SHARFILES to the files to be included in the shar archive
SHARFILES = 	README Makefile GNU-LICENSE procmail-lib.html \
	    	procmail-tutorial procmailrc-example \
		*.rc *.help *.info proclint Copyright

# Set to the default install behaviour: "install-local"
DEFAULT		= install-home install-local

SHARNAME	= procmail-lib


#
SHELL		= /bin/sh

default:
	@echo 'make install-home     Installs proclint to ~/bin'
	@echo 'make install-mail     Installs library recipes to ~/Mail'
	@echo 'make install-local    Installs library recipes to /usr/local'
	@echo 'make install-ftp      Installs library recipes to ftp server'
	@echo 'make check            Check for discrepancies'
	@echo 'make check-home       Check against ~/Mail'
	@echo 'make install          Install the default: $(DEFAULT)'

install: $(DEFAULT)

install-home:	$(HOME)/bin/proclint install-mail

$(HOME)/bin/proclint:	proclint
	@(set -x ; cp $? $@ ; chmod 755 $@ )

install-mail:
	${MAKE} LIBDIR=$(HOME)/Mail install-lib

check-home check-mail:
	${MAKE} LIBDIR=$(HOME)/Mail check

install-local:
	${MAKE} ROOTDIR=$(LOCALROOT) install-lib

install-lib:
	@for lib in *.rc *.help *.info ; do \
	    ${MAKE} SRC=$$lib DST=$(LIBDIR)/$$lib install-file ; \
	done

DST	=	.phony-dst
SRC	=	.phony-src

install-file:	$(DST)
$(DST):		$(SRC)
	@if [ -f $@ ]; then ( set -x ; mv $@ $@.old ) ; fi
	@(set -x ; cp $(SRC) $@ ; chmod 444 $@ )

check::
	@-for lib in *.rc *.help *.info ; do \
	    inslib=$(LIBDIR)/$$lib ; \
	    if [ -f $$inslib ]; then \
		(set -x ; diff -c $$inslib $$lib ) ; \
	    else \
		echo $$lib not installed. ; \
	    fi ; \
	done
	@-for inslib in $(LIBDIR)/*.rc ; do \
	    lib=`basename $$inslib` ; \
	    if [ ! -f $$lib ]; then \
		echo $$inslib has no source. ; \
	    fi ; \
	done

uu::	$(SHARNAME).shar.gz.uu
$(SHARNAME).shar.gz.uu:	$(SHARNAME).shar.gz
	uuencode $? < $? > $@

gzip::	$(SHARNAME).shar.gz
$(SHARNAME).shar.gz:	$(SHARNAME).shar
	gzip -f $?

pkzip::	$(SHARNAME).zip
$(SHARNAME).zip:	$(SHARFILES)
	cwd=`pwd` ; \
	cd ..; \
	dir=`basename $$cwd` ; \
	files=`echo "$(SHARFILES)" | \
	       tr -s ' \10' '\12\12' | \
	       sed -e "s=^=$$dir/=" | \
	       tr '\12' ' ' ` ; \
	pkzip -9 $$dir/$@ $$files

shar::  $(SHARNAME).shar
$(SHARNAME).shar:	$(SHARFILES)
	cwd=`pwd` ; \
	cd ..; \
	dir=`basename $$cwd` ; \
	files=`echo "$(SHARFILES)" | \
	       tr -s ' \10' '\12\12' | \
	       sed -e "s=^=$$dir/=" | \
	       tr '\12' ' ' ` ; \
	shar $$files > $$dir/$@

install-ftp: shar
	rcp $(SHARNAME).shar $(FTPHOST):$(FTPHOME)$(FTPDESTDIR)

## procmail-lib 2004.1216

=== Makefile ===
#	Copyright (C)  Jari Aalto
#	Keywords:      Makefile, procmail
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version

ifneq (,)
This makefile requires GNU Make.
endif

DESTDIR =

.PHONY: all install clean distclean

all:
	@echo "There is nothing to make. See INSTALL."

clean:
	make -C lib	     clean
	make -C lib-stebbens clean
	make -C doc	     clean

distclean: clean

install:
	make -C lib	     install
	make -C lib-stebbens install
	make -C doc	     install

# End of file

=== doc/Makefile ===
#	Copyright (C)  Jari Aalto
#	Keywords:      Makefile, procmail
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version

ifneq (,)
This makefile requires GNU Make.
endif

include ../common.mk

NAME		= lib-jaalto
EXDIR		= $(EXAMPLEDIR)/$(NAME)/examples
DDIR		= $(DOCDIR)/$(NAME)

INSTALL_EXAMPLE_OBJS = examples/*.procmailrc
INSTALL_OBJS	     = index.html html/*.html source/*.txt
INSTALL_LOG_DOC	     = source/ChangeLog
INSTALL_LOG_LIB	     = ../lib/ChangeLog

all:
	@echo "There is nothing to make."

clean:

distclean:

install-examples:
	$(INSTALL_BIN) -d $(EXDIR)
	$(INSTALL_DATA) $(INSTALL_EXAMPLE_OBJS) $(EXDIR)

install-doc:
	$(INSTALL_BIN) -d $(DDIR)
	$(INSTALL_DATA) $(INSTALL_OBJS) $(DDIR)
	$(INSTALL_DATA) $(INSTALL_LOG_DOC) $(DDIR)/ChangeLog-of-doc
	$(INSTALL_DATA) $(INSTALL_LOG_LIB) $(DDIR)/ChangeLog-of-lib

install: install-doc install-examples

# End of file

=== lib-stebbens/Makefile ===
#	Copyright (C)  Jari Aalto
#	Keywords:      Makefile, procmail
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version

ifneq (,)
This makefile requires GNU Make.
endif

include ../common.mk

NAME		     = lib-stebbens
EXDIR		     = $(EXAMPLEDIR)/$(NAME)/examples

INSTALL_OBJS	     = proclint
INSTALL_PM_OBJS	     = `ls *.rc | grep -v example`
INSTALL_EXAMPLE_OBJS = prefile-example.rc procmailrc-example
INSTALL_DOC_OBJS     = README README.txt Copyright \
		       GNU-LICENSE *.html *tutorial* *.info
all:
	@echo "There is nothing to make. See INSTALL."

clean:
	-rm *[~#] .[~#]* 2> /dev/null

distclean: clean

install-doc:
	$(INSTALL_BIN) -d $(DOCDIR)/$(NAME)
	$(INSTALL_DATA) $(INSTALL_DOC_OBJS) $(DOCDIR)/$(NAME)

install-examples:
	$(INSTALL_BIN) -d $(EXDIR)
	$(INSTALL_BIN)	  $(INSTALL_EXAMPLE_OBJS) $(EXDIR)

install-procmail:
	$(INSTALL_BIN) -d $(DATADIR)
	$(INSTALL_BIN)	  $(INSTALL_PM_OBJS) $(DATADIR)

install-bin:
	$(INSTALL_BIN) -d $(BINDIR)
	$(INSTALL_BIN)	  $(INSTALL_OBJS) $(BINDIR)

install: install-bin install-procmail install-examples install-doc

# End of file

=== lib/Makefile ===
#	Copyright (C)  Jari Aalto
#	Keywords:      Makefile, procmail
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version

ifneq (,)
This makefile requires GNU Make.
endif

INSTALL_OBJS = *.rc

include ../common.mk

all:
	@echo "There is nothing to make. See INSTALL"

clean:
	-rm *[~#] .[~#]* 2> /dev/null

distclean: clean

install-procmail:
	$(INSTALL_BIN) -d $(DATADIR)
	$(INSTALL_BIN) $(INSTALL_OBJS) $(DATADIR)

install: install-procmail

# End of file

## procmail-lib 2009.1202

=== Makefile ===
#!/usr/bin/make -f
#
#	Copyright (C) 1997-2009 Jari Aalto
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version
#
#	This program is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#	General Public License for more details at
#	Visit <http://www.gnu.org/copyleft/gpl.html>.

ifneq (,)
    This makefile requires GNU Make.
endif

all:
	@echo "There is nothing to build. See file INSTALL."

clean:
	$(MAKE) -C lib	     clean
	$(MAKE) -C doc	     clean

realclean: clean

install:
	$(MAKE) -C lib		install
	$(MAKE) -C lib-stebbens install
	$(MAKE) -C doc		install

install-test:
	# Rule install-test - for Maintainer only
	rm -rf tmp
	make DESTDIR=`pwd`/tmp prefix=/. install
	@echo "find tmp -type f | less"

www:
	# Rule www - for Maintainer only
	$(MAKE) -C doc www

.PHONY: all clean distclean realclean install www

# End of file

=== doc/Makefile ===
#!/usr/bin/make -f
#
#	Copyright (C) 1997-2010 Jari Aalto
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version
#
#	This program is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#	General Public License for more details.
#
#	Visit <http://www.gnu.org/copyleft/gpl.html>

ifneq (,)
This makefile requires GNU Make.
endif

include ../common.mk

INSTALL		= install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644

BASEDIR		= $(DOCDIR)/lib-aalto
EXDIR		= $(BASEDIR)/examples

INSTALL_EXAMPLE_OBJS = examples/*.procmailrc
INSTALL_LOG_DOC	     = ChangeLog
INSTALL_LOG_LIB	     = ../lib/ChangeLog

all: doc

install-examples:
	$(INSTALL_BIN) -d $(EXDIR)
	$(INSTALL_DATA) $(INSTALL_EXAMPLE_OBJS) $(EXDIR)

install-doc:
	$(INSTALL_BIN) -d $(BASEDIR) $(BASEDIR)/manual $(BASEDIR)/article
	$(INSTALL_DATA) *.html $(BASEDIR)
	$(INSTALL_DATA) manual/*.html $(BASEDIR)/manual
	$(INSTALL_DATA) article/*.html $(BASEDIR)/article
	$(INSTALL_DATA) $(INSTALL_LOG_DOC) $(BASEDIR)/ChangeLog.doc
	$(INSTALL_DATA) $(INSTALL_LOG_LIB) $(BASEDIR)/ChangeLog.lib

# Rule: install - install documentation
install: install-doc install-examples

# Rule: www - copy web pages to ../../<project>-www
www: html
	name=$$(basename $$(cd .. && pwd)); \
	to=../../$$name-www; \
	echo "Copying to $$to"; \
	find . -type f -name "*.html" | \
	rsync $${test:+"--dry-run"} \
	  --files-from=- \
	  --update \
	  --progress \
	  --verbose \
	  -r \
	  . \
	  $$to/

manual: manual/index.txt
	perl -S t2html.pl --Auto-detect --Out --print-url $<

article: article/index.txt
	perl -S t2html.pl --Auto-detect --Out --print-url $<

manual-gen:
	# Rule gen-manual - Generate documentation from ../lib dir
	to=manual/index.txt ; \
	cp manual/index.src $$to ; \
	ripdoc.pl ../lib/*.rc >> $$to

html: manual article

# Rule: doc - Generate or update documentation
doc: html

.PHONY: all doc html www

# End of file

=== lib-stebbens/Makefile ===
#!/usr/bin/make -f
#
#	Copyright (C) 1997-2010 Jari Aalto
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version
#
#	This program is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#	General Public License for more details at
#	Visit <http://www.gnu.org/copyleft/gpl.html>.

ifneq (,)
This makefile requires GNU Make.
endif

include ../common.mk

NAME		     = lib-stebbens

BASEDIR		     = $(DOCDIR)/$(NAME)
EXDIR		     = $(BASEDIR)/examples

BIN		     = proclint
INSTALL_OBJS	     = $(BIN)
INSTALL_PM_OBJS	     = `ls *.rc | grep -v example`
INSTALL_EXAMPLE_OBJS = prefile-example.rc procmailrc-example
INSTALL_DOC_OBJS     = 0*README* Copyright \
		       GNU-LICENSE *.html *tutorial* *.info
all: man

man:
	$(MAKE) -f pod2man.mk BIN=$(BIN) makeman

install-doc:
	# Rule install-doc - install documentation
	$(INSTALL_BIN) -d $(BASEDIR)
	$(INSTALL_DATA) $(INSTALL_DOC_OBJS) $(BASEDIR)

install-examples:
	# Rule install-examples - install examples
	$(INSTALL_BIN) -d $(EXDIR)
	$(INSTALL_DATA) -D $(INSTALL_EXAMPLE_OBJS) $(EXDIR)

install-procmail:
	# Rule install-procmail - install procmail files
	$(INSTALL_BIN) -d $(SHAREDIR)
	$(INSTALL_DATA)	$(INSTALL_PM_OBJS) $(SHAREDIR)

install-man:
	# Rule install-man - install manual page
	$(INSTALL_DATA) -D $(BIN).1 $(MANDIR1)/$(BIN).1

install-bin:
	$(INSTALL_BIN) -D $(BIN) $(BINDIR)/$(BIN)

install: all install-bin install-man install-procmail \
	 install-examples install-doc

.PHONY: man clean \
	install-bin install-man install-procmail install-examples install-doc

# End of file

=== lib/Makefile ===
#!/usr/bin/make -f
#
#	Copyright (C) 1997-2010 Jari Aalto
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License as
#	published by the Free Software Foundation; either version 2 of the
#	License, or (at your option) any later version
#
#	This program is distributed in the hope that it will be useful, but
#	WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
#	General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with program. If not, write to the
#	Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
#	Boston, MA 02110-1301, USA.
#
#	Visit <http://www.gnu.org/copyleft/gpl.html>

ifneq (,)
This makefile requires GNU Make.
endif

include ../common.mk

INSTALL_OBJS = *.rc

all:
	@echo "There is nothing to make. See INSTALL"

install-procmail:
	# Rule install-procmail - install procmail files
	$(INSTALL_BIN) -d $(SHAREDIR)
	$(INSTALL_DATA) $(INSTALL_OBJS) $(SHAREDIR)

install: install-procmail

.PHONY: install-procmail

# End of file

=== debian/changelog ===
procmail-lib (1:2009.1202-6) unstable; urgency=medium

  * QA upload.

  [ Jari Aalto ]
  * debian/control: (Description): Fix typos
  * debian/README.Debian: Fix typos

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Petter Reinholdtsen ]
  * Use secure copyright file specification URI.
  * Update watch file format version to 4.
  * Drop fields with obsolete URLs.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository-Browse.
  * Use nongnu.org homepage url in d/copyright.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.4 to 4.7.0.
  * Use wrap-and-sort -at for debian control files.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 14 Nov 2024 15:23:37 +0100

procmail-lib (1:2009.1202-5) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #920126)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 21:26:33 -0300

procmail-lib (1:2009.1202-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 19:56:38 +0100

procmail-lib (1:2009.1202-4) unstable; urgency=low

  * debian/control:
    - (Description): Fix typo (Closes: #709327). Thanks to
      Jakub Wilk <jwilk@debian.org>
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update years and adjust list of Debian maintainers to match
      entries in debian/changelog.
    - (Source): Add missing URL (Closes: #709331).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 01 Jun 2013 22:49:50 +0300

procmail-lib (1:2009.1202-3) unstable; urgency=low

  * debian/compat
    - Update to 9.
  * debian/control:
    - (Build-Depends): debhelper 9.
    - (Standards-Version): Update to 3.9.4.
  * debian/copyright
    - Update to Format 1.0.
  * debian/procmail-lib.lintian-overrides
    - New file.
  * debian/rules
    - Simplify to dh(1) rules.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 27 Oct 2012 15:15:13 +0300

procmail-lib (1:2009.1202-2) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/control:
    - (Depends): Add ${misc:Depends} for debhelper (lintian).
    - (Standards-Version): update to 3.8.4.
  * debian/copyright
    - Minor layout update.
  * debian/prerm
    - add #DEBHELPER# (lintian).
  * debian/procmail-lib.examples
    - Move content from 'rules' for dh(1) to use.
  * debian/README.Debian
    - Update content and delete obsolete documentation (2003).
  * debian/rules
    - Remove targets that can be handled by dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 07 Mar 2010 13:25:26 +0200

procmail-lib (1:2009.1202-1) unstable; urgency=low

  * New upstream release
    - document JA_MIME_TYPE (Closes: #388526).
    - lib-stebbens/proclint: Upstream sources contains
      BUGS section that document limitations and
      existing problems (Closes: #41297).
  * debian/control
    - (Standards-Version): update to 3.8.3.
  * debian/procmail-lib.doc-base
    - New file.
  * debian/rules
    - (binary-indep): install upstream changelogs
    - (install): prevent generated *.1 from appearing id Debian diff.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Dec 2009 15:21:36 +0000

procmail-lib (1:2009.0810-1) unstable; urgency=low

  * New upstream release.
    - proclint warns on every argument given (Closes: #508197).
    - proclint better man page (Closes: #440218).
      Thanks to Dan Jacobson <jidanni@jidanni.org>.
    - proclint return an error code (Closes: #460992).
    - proclint warns on every argument given (Closes: #508197).
    - pm-jamime-save.rc does not save MIME attachment (Closes: #422464).
      Patch tanks to "Sándor Bognár" <sandor.bognar@gmail.com>
  * debian/*.prerm
    - Remove old symlink from woody upgrade (Closes: #334268).
  * debian/control
    - (Standards-Version): update to 3.8.2.
    - (Description): new first line.
  * debian/copyright
    - Spell out GPL-2 (lintian).
  * debian/rules
    - (install): use dh_prep (lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 10 Aug 2009 16:47:52 +0000

procmail-lib (1:2008.1108-1) unstable; urgency=low

  * New maintainer (ITA; Closes: #430981).
  * New Upstream Version.
  * debian/compat:
    - Update to 7.
  * debian/control:
    - (Standards-Version): Update to 3.8.0.
    - (Homepage, Vcs-*): New headers.
    - (Description): Broaden the paragraphs.
  * debian/copyright:
    - Update to latest template. Add Debian copyrights.
  * debian/docs::
    - Delete file. No longer needed. New release's Makefile handles
      documentation install.
  * debian/postinst:
    - Delete file. Old (1997) /usr/lib/procmail-lib fix.
  * debian/proclint.1:
    - Delete file. New release includes manual page.
  * debian/rules:
    - (binary-indep): Move rules from binary-arch.
    - (clean): Use package's Makefile.
    - (install): Remove manual file copying and use package's Makefile.
  * debian/watch
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 Nov 2008 19:19:38 +0000

procmail-lib (1:2004.1216-1) unstable; urgency=low

  * QA upload.
  * New Upstream release (Closes: #275057, #322898)
  * Fix description (Closes: #277583, #277584)
  * Set maintainer to QA Group; Orphaned: #430981
  * Bump debhelper compat
  * Move debhelper from B-D-I to B-D
  * Lets use dh_installman instead of dh_installmanapges
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Fri, 13 Jul 2007 07:14:08 +0200

procmail-lib (1:2002.01.02-1) unstable; urgency=low

  * New upstream source includes full old source and new stuff. Described
    in README.Debian.

 -- Elie Rosenblum <fnord@debian.org>  Tue, 26 Aug 2003 15:09:49 -0400

procmail-lib (1:1997.07.22-2) unstable; urgency=low



=== debian/control ===
Source: procmail-lib
Section: mail
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/procmail-lib
Vcs-Git: https://salsa.debian.org/debian/procmail-lib.git
Homepage: http://savannah.nongnu.org/projects/procmail-lib

Package: procmail-lib
Architecture: all
Depends: perl,
         procmail,
         ${misc:Depends},
Description: Procmail library of plug-in recipes
 Procmail Module Library is a collection of many plug-in modules for
 the Procmail mail processing utility. The modules allow common tasks
 like parsing dates, times, MIME, and email addresses, forwarding
 mail, dealing with POP3, spam shielding, running email cron jobs,
 handling daemon messages, and more.
 .
 Includes also all of Alan Stebben's recipes (the pioneer of Procmail).

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= procmail-lib
PKGDIR		= $(shell pwd)/debian/$(PACKAGE)
PKGDOCDIR       = $(PKGDIR)/usr/share/doc/$(PACKAGE)
DIRLINTIAN      = $(PKGDIR)/usr/share/lintian/overrides

override_dh_auto_install:
	# The *.1 might be regenerated by the Makefile. Save and
	# restore original to prevent it from appearing in a Debian
	# diff

	cp lib-stebbens/proclint.1 lib-stebbens/proclint.1.orig
	$(MAKE) DESTDIR=$(PKGDIR) prefix=/usr install
	mv lib-stebbens/proclint.1.orig lib-stebbens/proclint.1

	# Do not include standard GNU license files in Debian package

	rm -f $(PKGDOCDIR)/lib-stebbens/GNU-LICENSE*
	rm -f $(PKGDOCDIR)/lib-stebbens/Copyright

	# Install Lintian override file

	install -d $(DIRLINTIAN)
	install -m 644 debian/$(PACKAGE).lintian-overrides $(DIRLINTIAN)/$(PACKAGE)

%:
	dh $@

# End of file

=== debian/watch ===
version=4
http://download.savannah.gnu.org/releases/procmail-lib/ .*procmail-lib-([\d.]+).tar.gz
